Subject: Re: WARNING: locking bug in __queue_work

From: syzbot <[email-masked]>
Date: Sat, 16 Mar 2019 07:49:01 -0700

syzbot has bisected this bug to:

commit 52dfae5c85a4c1078e9f1d5e8947d4a25f73dd81
Author: Jon Maloy <[email-masked]>
Date:   Thu Mar 22 19:42:52 2018 +0000

     tipc: obtain node identity from interface by default

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=152adcd7200000
start commit:   52dfae5c tipc: obtain node identity from interface by defa..
git tree:       upstream
final crash:    https://syzkaller.appspot.com/x/report.txt?x=172adcd7200000
console output: https://syzkaller.appspot.com/x/log.txt?x=132adcd7200000
kernel config:  https://syzkaller.appspot.com/x/.config?x=ee434566c893c7b1
dashboard link: https://syzkaller.appspot.com/bug?extid=6174a6c5eba4b3cdd606
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=11635d24c00000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=12f2ed58c00000

Reported-by: [email-masked]
Fixes: 52dfae5c ("tipc: obtain node identity from interface by default")